Subject: Re: [PATCH v2] dt-bindings: net: orion-mdio: Convert to JSON schema

From: Rob Herring <[email-masked]>
Date: Mon, 16 May 2022 13:14:40 -0500

On Tue, May 10, 2022 at 02:41:26AM +0200, Andrew Lunn wrote:
> On Mon, May 09, 2022 at 05:28:14PM -0700, Jakub Kicinski wrote:
> > On Fri,  6 May 2022 09:06:20 +1200 Chris Packham wrote:
> > > Subject: [PATCH v2] dt-bindings: net: orion-mdio: Convert to JSON schema
> > 
> > JSON or YAML?

I actually prefer 'DT schema format' which implicitly means json-schema 
vocabulary in YAML formatted files (among other constraints we place on 
them).

> 
> JAML is a superset of JSON. So it is not completely wrong. I've no
> idea if this particular binding sticks to the subset which is JSON.

I think you just invented a new term for 'JSON compatible YAML subset'.

Rob